---
layout: handbook-page-toc
title: "Quality Department Career Framework"
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

## Quality Department Career Framework

<%= partial("handbook/engineering/career-development/matrix/engineering/quality/quality_career_matrix_nav.erb") %>

Here is a [flowchart representation](https://about.gitlab.com/handbook/engineering/career-development/#quality-department) of the Career development in Quality Department.

### Software Engineer in Test


#### Quality Sub-departments

* Dev
* Ops
* Secure & Govern
* Enablement
* Growth
* Fulfillment
* Data Science

#### Career Framework

These are the expected competencies of the Quality Software Engineer in Test team members by career level.

1. [Intermediate](/handbook/engineering/career-development/matrix/engineering/quality/software-engineer-in-test/intermediate/)
1. [Senior](/handbook/engineering/career-development/matrix/engineering/quality/software-engineer-in-test/senior/)
1. [Staff](/handbook/engineering/career-development/matrix/engineering/quality/software-engineer-in-test/staff/)
1. [Principal](/handbook/engineering/career-development/matrix/engineering/quality/software-engineer-in-test/principal/)

### Backend Engineer, Engineering Productivity

These are the expected competencies of the Quality Backend Engineer, Engineering Productivity role by career level.

1. [Intermediate](/handbook/engineering/career-development/matrix/engineering/quality/engineering-productivity/intermediate/)
1. [Senior](/handbook/engineering/career-development/matrix/engineering/quality/engineering-productivity/senior/)
1. [Staff](/handbook/engineering/career-development/matrix/engineering/quality/engineering-productivity/staff/)

